/*
 Theme Name:   macbay digital Starter Theme
 Theme URI:    https://generatepress.com
 Description:  macbay digital starter theme (A GeneratePress child theme)
 Author:       Sascha Liem
 Author URI:   https://macbay.net
 Template:     generatepress
 Version:      0.6
*/

/* ========== TABLE OF CONTENTS ========== 

1. Theme Tweaks
2. Utilities
3. Typography
4. Global Styles
5. Fluent Forms
6. CSS Grid

======================================== */


/*** 1. THEME TWEAKS ***/

/* Body background color (outside wrapper) */
html {
	background-color: var(--contrast);
}
body {
/*	background-color: var(--contrast-2); */
    max-width: 1920px;
	margin-left: auto;
    margin-right: auto;
}

/* Site Wrapper to set overall site max width
.site-wrapper {
	width: 100%;
	max-width: 1920px;
	background-color: var(--contrast-2);
} */


/* Set the main content area to a minimum of 65vh
#main {
	min-height: 65vh;
} */

/* Post Editor Width (BACKEND) */ 
.post-type-post .block-editor-block-list__layout {
	max-width: 728px !important;
	margin-inline: auto !important;
	padding-inline: 200px !important;
}
.post-type-post .edit-post-visual-editor__post-title-wrapper .editor-post-title {
	max-width: 728px !important;
	margin-inline: auto !important;
	padding-inline: 200px !important;
}


/* HELPER CLASSES */

/* Standard Shadow(s) */

.shadow-standard {
	box-shadow: 0px 5px 16px -5px rgba(33, 33, 33, 0.2);
	transition: all .2s ease-in;
}

.shadow-standard:hover {
	box-shadow: 0px 8px 32px 0px rgba(33, 33, 33, 0.1);
}

/* Max Width(s)

.max-width-1024 {
	max-width: 1024px;
}


.max-width-768 {
	max-width: 768px;
}

.max-width-640 {
	max-width: 640px;
}

.max-width-480 {
	max-width: 480px;
} */

/* Margin Auto

.margin-auto{
	margin-left: auto;
	margin-right: auto;
} */

/* Position Properties */

.relative{
	position: relative;
}

.absolute{
	position:absolute;
	top: 0px;
	left: 0px;
}

.sticky{
/*	position: sticky;top: 24px; */
	background-color: var(--base);
	padding:15px;
}

/* Image Aspect Ratios */

.ar-16-9, .ar-9-16, .ar-4-3 {
    object-fit: cover;
}

.ar-16-9 {
    aspect-ratio: 16/9;
}

.ar-9-16 {
    aspect-ratio: 9/16;
}

.ar-4-3 {
    aspect-ratio: 4/3;
}

.ar-1-1 {
	aspect-ratio: 1/1;
}

/*** 
 * 
 * 
 * 3. TYPOGRAPHY  
 * 
 * 
 * ***/ 

:root {
	/* These HAVE TO match what is in the Customizer > Typography. Pull in font familys using font manager. Set headline-font as 'All Headlings', set body-font as HTML */ 
	--headline-font: Exo, sans-serif;
	--body-font: Nunito, sans-serif;
    --fs-body: clamp(1rem, calc(0.96rem + 0.5vw), 1.25rem);
    --fs-headline-xl: clamp(3.05rem, calc(2.24rem + 4.08vw), 5.5rem);
    --fs-headline-h1: clamp(2.44rem, calc(1.96rem + 2.41vw), 3.89rem);
    --fs-headline-h2: clamp(1.95rem, calc(1.69rem + 1.33vw), 2.75rem);
    --fs-headline-h3: clamp(1.56rem, calc(1.44rem + 0.64vw), 1.94rem);
    --fs-headline-h4: clamp(1.25rem, calc(1.21rem + 0.21vw), 1.38rem);
    --fs-headline-h5: clamp(1.25rem, calc(1.21rem + 0.21vw), 1.38rem);
    --fs-headline-h6: clamp(1.25rem, calc(1.21rem + 0.21vw), 1.38rem); 
    --fs-headline-pre: clamp(0.97rem, calc(1.01rem + -0.05vw), 1rem);
    --fs-headline-body-xl: clamp(1.27rem, calc(1.15rem + 0.59vw), 1.62rem);
    --fs-headline-body-l: clamp(1.13rem, calc(1.05rem + 0.38vw), 1.35rem);
    --fs-headline-body-s: clamp(0.89rem, calc(0.87rem + 0.08vw), 0.94rem);
    --fs-headline-body-xs: clamp(0.78rem, calc(0.79rem + -0.01vw), 0.79rem);
	--text-s: clamp(0.89rem, calc(0.87rem + 0.08vw), 0.94rem);
    --text-xs: clamp(0.78rem, calc(0.79rem + -0.01vw), 0.79rem);
}

/* Default Body / p font settings */ 
p {
    font-size: var(--fs-body);
	font-weight: 400;
	line-height: 1.5;
	margin-bottom: 1.5rem;
	font-family: var(--body-font);
}

/* Default Headings weight, margin, font-family */ 
h1, h2, h3, h4, h5, h6, .gb-headline-xxl, .gb-headline-xl, .gb-headline-h1, .gb-headline-h2, .gb-headline-h3, .gb-headline-h4, .gb-headline-h5, .gb-headline-h6 {
	font-weight: 600;
	margin-bottom: .5em;	
	font-family: var(--headline-font);
}

/* Heading font-size and line-height */ 

.gb-headline-xl{
    font-size: var(--fs-headline-xl);
    line-height: 1.05;
}

h1, .gb-headline-h1 {
    font-size: var(--fs-headline-h1);
    line-height: 1.05;
}

h2, .gb-headline-h2 {
font-size: var(--fs-headline-h2);
    line-height: 1.1;
}

h3, .gb-headline-h3 {
    font-size: var(--fs-headline-h3);
    line-height: 1.15;
}

h4, .gb-headline-h4 {
    font-size: var(--fs-headline-h4);
    line-height: 1.1;
}

h5, .gb-headline-h5 {
    font-size: 1.375rem;
    font-size: var(--fs-headline-h5);
    line-height: 1.25;
}

h6, .gb-headline-h6 {
    font-size: 1.25rem;
    font-size: var(--fs-headline-h6);
    line-height: 1.4;
}

.gb-headline-pre {
    font-size: var(--fs-headline-pre);
	text-transform: uppercase; 
	letter-spacing: .1em
}

/* Additional Body font-size */ 


.gb-headline-body-xl {
	font-family: var(--body-font);
    font-size: var(--fs-headline-body-xl);
}

.gb-headline-body-l {
	font-family: var(--body-font);
    font-size: var(--fs-headline-body-l);
}

.gb-headline-body-s {
	font-family: var(--body-font);
    font-size: var(--fs-headline-body-s);
}

.gb-headline-body-xs {
	font-family: var(--body-font);
    font-size: var(--fs-headline-body-xs);
}

/* Add top margin to blog post H2-H6 */

.single-post :is(h2, h3, h4, h5, h6) {
	margin-top: 1.5em;
}

/* Button Global Line Height */
.gb-button {
    line-height: 1em;
}

/* Remove bottom margin on last paragraph */
.gb-container p:last-child:last-of-type {
    margin-bottom: 0px;
}

.block-editor-block-list__layout .gb-container p:nth-last-child(2) {
    margin-bottom: 0px;
}


/*** 
 * 
 * 
 * 4. GLOBAL STYLES 
 * 
 * 
 * ***/ 

/* Sections  */
.gb-container-section-xs {
	padding: 1rem clamp(1rem, 0.848rem + 0.758vw, 1.5rem) 1rem clamp(1rem, 0.848rem + 0.758vw, 1.5rem);
}

.gb-container-section-s {
	padding: clamp(1.5rem, 1.5rem + 0vw, 1.5rem) clamp(1rem, 0.848rem + 0.758vw, 1.5rem) clamp(1.5rem, 1.5rem + 0vw, 1.5rem) clamp(1rem, 0.848rem + 0.758vw, 1.5rem);
}

.gb-container-section-m {
	padding: clamp(1.5rem, 1.197rem + 1.515vw, 2.5rem) clamp(1rem, 0.848rem + 0.758vw, 1.5rem) clamp(1.5rem, 1.197rem + 1.515vw, 2.5rem) clamp(1rem, 0.848rem + 0.758vw, 1.5rem);
}

.gb-container-section-d {
	padding: clamp(3rem, 2.394rem + 3.03vw, 5rem) clamp(1rem, 0.848rem + 0.758vw, 1.5rem) clamp(3rem, 2.394rem + 3.03vw, 5rem) clamp(1rem, 0.848rem + 0.758vw, 1.5rem);
}

.gb-container-section-l {
	padding: clamp(4.5rem, 3.591rem + 4.545vw, 7.5rem) clamp(1rem, 0.848rem + 0.758vw, 1.5rem) clamp(4.5rem, 3.591rem + 4.545vw, 7.5rem) clamp(1rem, 0.848rem + 0.758vw, 1.5rem);
}

.gb-container-section-xl {
	padding: clamp(6rem, 4.788rem + 6.061vw, 10rem) clamp(1rem, 0.848rem + 0.758vw, 1.5rem) clamp(6rem, 4.788rem + 6.061vw, 10rem) clamp(1rem, 0.848rem + 0.758vw, 1.5rem);
}

/* Ohne Abstand li&re */
.gb-container-section-xl-outer {
	padding: clamp(1rem, 0.848rem + 0.758vw, 1.5rem);
}

/* Container Widths */ 

:root{
	--width-m: 64rem; 
	--width-s: 48rem; 
	--width-xs: 40rem;
}

.gb-container-width-m {
	max-width:var(--width-m);
	margin: 0px auto;
}

/* Announcement Bar */ 

.announcement-bar {
    position: relative;
}

.announcement-bar-closed {
    display: none;
}

.announcement-close {
    position: absolute;
    right: 4px;
    top: 50%;
    transform: translatey(-50%);
    cursor: pointer;
}